<script lang="ts" setup>
import { useConsultStore } from '@/stores/consult'
import { onMounted, ref } from 'vue'
import MainHeader from '@/components/Header/MainHeader.vue'
import MainFooter from '@/components/Footer/MainFooter.vue'
import MainMenu from '@/components/Menu/MainMenu.vue'
const consultStore = useConsultStore()
const selectedTab = ref<string>()
onMounted(() => {
  consultStore.getTrackingConsult()
})
</script>
<template>
  <v-app>
    <MainHeader></MainHeader>
    <MainMenu></MainMenu>

    <v-container>
      <v-tabs v-model="selectedTab" class="mb-2"
        ><v-tab value="order">ซ่อม/ลงโปรแกรม</v-tab
        ><v-tab value="consult">ขอคำปรึกษา</v-tab></v-tabs
      >

      <v-table v-if="selectedTab === 'consult'"
        ><thead>
          <tr>
            <th style="color: white">Consult Number</th>
            <th style="color: white">ประเภท</th>
            <th style="color: white">คำถาม</th>
            <th style="color: white">สถานะ</th>
          </tr>
        </thead>
        <tbody v-if="consultStore.trackingConsult.length > 0">
          <tr v-for="consult of consultStore.trackingConsult" :key="consult.consult_id">
            <td>{{ consult.consult_id }}</td>
            <td>{{ consult.consult_type }}</td>
            <td>{{ consult.consult_question }}</td>
            <td>{{ consult.consult_status }}</td>
          </tr>
        </tbody>
        <tbody v-if="consultStore.trackingConsult.length === 0">
          <tr>
            <td colspan="4" style="text-align: center">ไม่มีรายการขอคำปรึกษา</td>
          </tr>
        </tbody>
      </v-table>
    </v-container>
  </v-app>
  <MainFooter></MainFooter>
</template>
<style scoped>
.v-table {
  border-spacing: 1;
  border-collapse: collapse;
  background: #8c122a;
  border-radius: 8px;
  overflow: hidden;
  max-width: 100vw;
  width: 100%;
  margin: 0;
  position: relative;
}

.v-table tbody tr:nth-child(even) {
  background: #ffffff;
}

.v-table tbody tr:nth-child(odd) {
  background: #efefef;
}
</style>
